"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.findAssociatedTokenPda = void 0;
function findAssociatedTokenPda(context, seeds) {
    const s = context.serializer;
    const associatedTokenProgramId = context.programs.getPublicKey('splAssociatedToken');
    const tokenProgramId = context.programs.getPublicKey('splToken');
    return context.eddsa.findPda(associatedTokenProgramId, [
        s.publicKey().serialize(seeds.owner),
        s.publicKey().serialize(tokenProgramId),
        s.publicKey().serialize(seeds.mint),
    ]);
}
exports.findAssociatedTokenPda = findAssociatedTokenPda;
//# sourceMappingURL=AssociatedToken.js.map